summaryrefslogtreecommitdiff
path: root/debian/flex-doc.prerm
diff options
context:
space:
mode:
authorManoj Srivastava <srivasta@golden-gryphon.com>2014-04-09 00:42:23 -0700
committerManoj Srivastava <srivasta@golden-gryphon.com>2014-04-11 11:08:42 -0700
commit7db3bf58a48b9952fac1fd907fb23f5d257ed7ec (patch)
tree754a1cb09b3d8bcdb8a59f134a8f2cde9ca4813c /debian/flex-doc.prerm
parent995114eb4b550e2db30a10423b26327e3337582d (diff)
[master]: New upstream version.
* internationalization: added support for various languages. Fix make install target to not fail when the flex++ program is already installed. various portability fixes that quiet compiler warnings on 64-bit hosts. numerous bug fixes. * Moved to a new dh based build system. Also moved to a 3.0 source format, using debcherry. * Bug fix: "cross build support", thanks to Eleanor Chen. We have moved to a standard dh based build, so we should not have this issue any more. (Closes: #719955). * Bug fix: "examples not included into binary packages", thanks to Carl Fürstenberg. Examples are in this version. (Closes: #560387). * Bug fix: "new upstream release 2.5.37", thanks to Peter Eisentraut (Closes: #729759). * Bug fix: "flex, new release available for download", thanks to Gianfranco Costamagna (Closes: #736345). * Bug fix: "please mark flex as Multi-Arch: allowed", thanks to Steve Langasek. Redid the patch to work with dh. (Closes: #611230). * Updating to a new build system means that the changes made to the build system in the NMU are not needed, dh does the right thing. * The new upstream release added the prototypes in re-entrant mode, so we are no longer carrying those patches. Signed-off-by: Manoj Srivastava <srivasta@golden-gryphon.com>
Diffstat (limited to 'debian/flex-doc.prerm')
-rwxr-xr-xdebian/flex-doc.prerm123
1 files changed, 123 insertions, 0 deletions
diff --git a/debian/flex-doc.prerm b/debian/flex-doc.prerm
new file mode 100755
index 0000000..fbf4c6c
--- /dev/null
+++ b/debian/flex-doc.prerm
@@ -0,0 +1,123 @@
+#! /bin/sh
+# -*- Mode: Sh -*-
+# prerm ---
+# Author : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com )
+# Created On : Fri Nov 14 12:16:39 2003
+# Created On Node : glaurung.green-gryphon.com
+# Last Modified By : Manoj Srivastava
+# Last Modified On : Wed Dec 3 21:16:22 2003
+# Last Machine Used: glaurung.green-gryphon.com
+# Update Count : 11
+# Status : Unknown, Use with caution!
+# HISTORY :
+# Description :
+#
+# arch-tag: db831a44-6be7-472f-b41c-a10de13e2f47
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+#
+
+# Abort if any command returns an error value
+set -e
+
+package_name=flex-doc
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+
+# This script is called as the first step in removing the package from
+# the system. This includes cases where the user explicitly asked for
+# the package to be removed, upgrade, automatic removal due to conflicts,
+# and deconfiguration due to temporary removal of a depended-on package.
+
+case "$1" in
+ remove)
+ # This package about to be removed.
+ :
+
+ # Remove package-specific directories from /usr/local. Don't try
+ # to remove standard directories such as /usr/local/lib.
+ ##: if test -d /usr/local/lib/${package_name}; then
+ ##: rmdir /usr/local/lib/${package_name} || true
+ ##: fi
+
+ # Deactivate menu-methods script.
+ ##: chmod a-x /etc/menu-methods/${package_name}
+
+ # Withdraw our version of a program.
+ ##: update-alternatives --remove program /usr/bin/alternative
+
+ # Get rid of the byte compiled files
+ ##: if [ -x /usr/lib/emacsen-common/emacs-package-remove ]; then
+ ##: /usr/lib/emacsen-common/emacs-package-remove $package_name
+ ##: fi
+
+ if [ -L /usr/doc/$package_name ]; then
+ rm -f /usr/doc/$package_name
+ fi
+
+ # There are two sub-cases:
+ if test "${2+set}" = set; then
+ if test "$2" != in-favour; then
+ echo "$0: undocumented call to \`prerm $*'" 1>&2
+ exit 0
+ fi
+ # We are being removed because of a conflict with package $3
+ # (version $4), which is now being installed.
+ :
+
+ else
+ # The package is being removed in its own right.
+ :
+
+ fi ;;
+ deconfigure)
+ if test "$2" != in-favour || test "$5" != removing; then
+ echo "$0: undocumented call to \`prerm $*'" 1>&2
+ exit 0
+ fi
+ # Package $6 (version $7) which we depend on is being removed due
+ # to a conflict with package $3 (version $4), and this package is
+ # being deconfigured until $6 can be reinstalled.
+ :
+
+ ;;
+ upgrade)
+ # Prepare to upgrade FROM THIS VERSION of this package to version $2.
+ :
+
+ if [ -L /usr/doc/$package_name ]; then
+ rm -f /usr/doc/$package_name
+ fi
+
+ ;;
+ failed-upgrade)
+ # Prepare to upgrade from version $2 of this package TO THIS VERSION.
+ # This is only used if the old version's prerm couldn't handle it,
+ # and returned non-zero. (Fix old prerm bugs here.)
+ :
+
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+#DEBHELPER#
+
+exit 0